{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "group": "stained_glass",
  "key": {
    "#": "minecraft:glass",
    "X": "minecraft:lime_dye"
  },
  "pattern": [
    "###",
    "#X#",
    "###"
  ],
  "result": {
    "count": 8,
    "id": "minecraft:lime_stained_glass",
    "components": {
      "custom_data": {
        "or_edited_item": true
      },
      "max_stack_size": 20
    }
  }
}